#include <bits/stdc++.h>
#include <iostream>
using namespace std;

int main()
{
	int brNovcanica = 0;
	long long broj;
	cin >> broj;
	int i;
	while (broj >= 1)
	{
		i = broj % 10;
		broj = broj / 10;
		
		if (i >= 5)
		{
			brNovcanica++;
			i -= 5;
		}
		if (i == 0)
			continue;
		while (i >= 2)
		{
			brNovcanica++;
			i -= 2;
		}
		if (i == 0)
			continue;
		while (i >= 1)
		{
			brNovcanica++;
			i -= 1;
		}
	}
	cout << brNovcanica << endl;
}